"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.crypto = exports.TextEncoder = void 0;
exports.setCrypto = setCrypto;
exports.setTextEncoder = setTextEncoder;
exports.subtleCrypto = void 0;
var _logger = require("../logger");
var _globalThis$window, _globalThis$window$cr, _globalThis$window2, _global$window, _globalThis$window3;
/*
Copyright 2022 The Matrix.org Foundation C.I.C.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
let crypto = exports.crypto = (_globalThis$window = globalThis.window) === null || _globalThis$window === void 0 ? void 0 : _globalThis$window.crypto;
let subtleCrypto = exports.subtleCrypto = (_globalThis$window$cr = (_globalThis$window2 = globalThis.window) === null || _globalThis$window2 === void 0 || (_globalThis$window2 = _globalThis$window2.crypto) === null || _globalThis$window2 === void 0 ? void 0 : _globalThis$window2.subtle) !== null && _globalThis$window$cr !== void 0 ? _globalThis$window$cr : (_global$window = global.window) === null || _global$window === void 0 || (_global$window = _global$window.crypto) === null || _global$window === void 0 ? void 0 : _global$window.webkitSubtle;
let TextEncoder = exports.TextEncoder = (_globalThis$window3 = globalThis.window) === null || _globalThis$window3 === void 0 ? void 0 : _globalThis$window3.TextEncoder;

/* eslint-disable @typescript-eslint/no-var-requires */
if (!crypto) {
  try {
    exports.crypto = crypto = require("crypto").webcrypto;
  } catch (e) {
    _logger.logger.error("Failed to load webcrypto", e);
  }
}
if (!subtleCrypto) {
  var _crypto2;
  exports.subtleCrypto = subtleCrypto = (_crypto2 = crypto) === null || _crypto2 === void 0 ? void 0 : _crypto2.subtle;
}
if (!TextEncoder) {
  try {
    exports.TextEncoder = TextEncoder = require("util").TextEncoder;
  } catch (e) {
    _logger.logger.error("Failed to load TextEncoder util", e);
  }
}
/* eslint-enable @typescript-eslint/no-var-requires */

function setCrypto(_crypto) {
  var _crypto$subtle;
  exports.crypto = crypto = _crypto;
  exports.subtleCrypto = subtleCrypto = (_crypto$subtle = _crypto.subtle) !== null && _crypto$subtle !== void 0 ? _crypto$subtle : _crypto.webkitSubtle;
}
function setTextEncoder(_TextEncoder) {
  exports.TextEncoder = TextEncoder = _TextEncoder;
}
//# sourceMappingURL=crypto.js.map